List card transactions
curl --request GET \
--url https://api.kemycard.com/v1/cards/{code}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemycard.com/v1/cards/{code}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemycard.com/v1/cards/{code}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "ctx_5f2a9c1e7b3d4a6089c1e2f3",
"type": "settle",
"direction": "debit",
"status": "pending",
"amount": 12.5,
"currency": "USD",
"merchant_name": "<string>",
"merchant_city": "<string>",
"merchant_country": "<string>",
"description": "<string>",
"failure_reason": "<string>",
"balance_after": 123,
"date": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
},
"pagination": {
"page": 1,
"limit": 20,
"total": 42,
"pages": 3
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": null
}
}Cards
List Card Transactions
Operations of a card, most recent first — creation, top-ups, payments, declines, refunds and fees.
GET
/
cards
/
{code}
/
transactions
List card transactions
Authorizations
API key (sk_test_... or sk_live_...)
Path Parameters
Resource UUID
Query Parameters
Page number
Required range:
x >= 1Items per page (max 100)
Required range:
1 <= x <= 100